#
# spec file for package mono-basic
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           mono-basic
Version:        4.7
Release:        3.2
Summary:        Mono's Visual Basic Compiler and Runtime
License:        LGPL-2.1
Group:          Development/Languages/Mono
Url:            https://github.com/mono/mono-basic
Source:         http://download.mono-project.com/sources/%{name}/%{name}-%{version}.tar.bz2
# PATCH-FIX-OPENSUSE ignore incorrect surplus "/debug:portable" command line parameter when invoking vbnc, or set debug to "full" mode if this is the only "/debug" parameter at vbnc's cmdline
Patch2:         fix-vbnc-debug-portable-cmdline.patch
BuildRequires:  mono-devel
BuildRequires:  mono-winforms
BuildRequires:  unzip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

Mono's VB runtime.

%prep
%autosetup -p1

%build
./configure --prefix=%{_prefix}
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
rm -f %{buildroot}%{_prefix}/lib/mono/2.0/extract-source.exe*
rm -f %{buildroot}%{_prefix}/lib/mono/2.0/rt-console.exe*
rm -f %{buildroot}%{_prefix}/lib/mono/2.0/rt-execute.exe*
rm -f %{buildroot}%{_prefix}/lib/mono/2.0/rt.exe*

%files
%defattr(-, root, root)
%{_mandir}/man1/vbnc.1*
%{_bindir}/vbnc*
%{_prefix}/lib/mono/4.5/vbnc*
%{_prefix}/lib/mono/*/Microsoft.VisualBasic.dll
%{_prefix}/lib/mono/*/Mono.Cecil.VB*.dll
%{_prefix}/lib/mono/gac/Microsoft.VisualBasic
%{_prefix}/lib/mono/gac/Mono.Cecil.VB*

%changelog
* Thu Feb 22 2024 pgajdos@suse.com
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN
* Fri Jun  5 2020 Callum Farmer <callumjfarmer13@gmail.com>
- Fixes for %%_libexecdir changing to /usr/libexec
* Sun Nov 11 2018 fwdsbs.to.11df@xoxy.net
- Update to version 4.7:
- Remove use-roslyn-vbc.patch:
  * Never roslyn-vbc is unable to properly bootstrap vbnc binary with provided obsolete bootstrap-libraries
- Remove roslyn-conditional build from spec file:
  * Bootstrap\build routine provided with package now works as intended with mono 5.16 and up
* Fri Mar 30 2018 fwdsbs.to.11df@xoxy.net
- Add fix-vbnc-debug-portable-cmdline.patch to fix VBNC2019 error when ivoking vbnc.exe with unsupported "/debug:portable" cmdline parameter:
  * Silently ignore incorrect surplus "/debug:portable" command line parameter when invoking vbnc
  * Set debug to "full" mode if this is the only "/debug" parameter at vbnc's cmdline
* Fri Mar 23 2018 fwdsbs.to.11df@xoxy.net
- Add use-roslyn-vbc.patch:
  * Use roslyn's vbc compiler (when available) instead of deprecated vbnc in order to fix build error with mono 5.10 and up
* Sat Aug 19 2017 fwdsbs.to.11df@xoxy.net
- update version 4.6
* Thu May 28 2015 fwdsbs.to.11df@xoxy.net
- update version 4.0.1
* Thu Apr 30 2015 fwdsbs.to.11df@xoxy.net
- update version 4.0
  * support for upcoming Mono 4.0
  * see commits: github.com/mono/mono-basic
* Thu Oct 30 2014 mailaender@opensuse.org
- http://en.opensuse.org/SourceUrls
* Tue Oct 28 2014 i@marguerite.su
- update version 3.8
  * see commits: github.com/mono/mono-basic
* Tue Feb 22 2011 ajorgensen@novell.com
- Update to 2.10
  * http://www.go-mono.com/archive/2.10
* Tue Oct 12 2010 ajorgensen@novell.com
- Update to 2.8
  * http://www.go-mono.com/archive/2.8
* Tue Mar 16 2010 ajorgensen@novell.com
- Update to 2.6.2
  * http://www.mono-project.com/Release_Notes_Mono_2.6.3
* Tue Jan 26 2010 ajorgensen@novell.com
- Update to 2.6
  * http://www.mono-project.com/Release_Notes_Mono_2.6
* Tue Aug 11 2009 ajorgensen@novell.com
- Update to 2.4.2
  * http://www.mono-project.com/Release_Notes_Mono_2.4.2
* Tue Mar 31 2009 ajorgensen@novell.com
- Update to 2.4
  * http://www.mono-project.com/Release_Notes_Mono_2.4
* Wed Sep  3 2008 ajorgensen@novell.com
- Update to 2.0 RC1
- Use the windows .zip for 1.0 runtime rather than our RPM
* Tue Aug 26 2008 ajorgensen@novell.com
- Update to 2.0
  * Better handling of error conditions
  * Fixes for bnc#325331, bnc#324807, bnc#361412
* Tue Mar 25 2008 wberrier@suse.de
- Automatically pick the correct file for the prebuilt vb runtime
- Update to 1.9
  - More support in the IO classes for Visual Basic
* Mon Jan 14 2008 wberrier@suse.de
- Update to 1.2.6
  - Updated internal version to work with versions of .net > 2.0
  - Several bug fixes in the vb runtime
* Fri Aug  3 2007 wberrier@suse.de
- Update to 1.2.5
  - support for late binding in vbnc (Option Strict Off and Option
  Explicit Off).
  - several bugfixes in vbnc, and vbruntime
  - error reporting is somewhat better now (now possible to get line
  numbers in stack traces)
* Wed Jun  6 2007 wberrier@novell.com
- Build vbnc instead of shipping from binary
- Update to 1.2.4
  - fixes to enable vb.net in asp.net
  - 'My' namespace support in vbnc
* Fri Apr 13 2007 wberrier@novell.com
- add %%debug_package so debug packages get created
* Wed Apr 11 2007 wberrier@novell.com
- Add mono dep/req for older distros
* Wed Mar 14 2007 wberrier@suse.de
- Ship prebuilt binaries for now.  Some runtime fixes are needed
  before vbnc will compile on all archs
* Fri Mar  9 2007 wberrier@suse.de
- Update to 1.2.3.1
  - Includes vbnc compiler (which is self hosting, but we still
  ship the vbruntime built with with ms.net because vbnc doesn't
  support 1.0 assemblies yet)
* Sat Dec  2 2006 wberrier@suse.de
- Update to 1.2.2 (Fate #301111)
  - Testsuite updates
  - Runtime fixes and updates
* Sat Oct 21 2006 wberrier@suse.de
- Update to 1.1.18
  - many fixes to the basic runtime
* Wed Aug 30 2006 ro@suse.de
- remove ExclusiveArch from noarch package
* Tue Aug 29 2006 wberrier@suse.de
- Initial package
